# List issued bank slips Retrieve a list of issued bank slips. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Banking - Integrated payments", "version": "1.0", "description": "API responsible for handling and processing integrated payments", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/integrated-payments", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Bank slip issuance", "description": "Operations related to issue and cancel issued bank slips" } ], "components": { "parameters": { "perPageQuery": { "name": "perPage", "in": "query", "description": "Receipts per page. Min=1, max=100, default=20.", "schema": { "type": "string", "default": "20", "minLength": 1, "maxLength": 100 }, "example": "100" }, "pageQuery": { "name": "page", "in": "query", "description": "Current page. min=1 default=1", "schema": { "type": "string", "default": "1", "minLength": 1 }, "example": "1" }, "orderQuery": { "name": "order", "in": "query", "description": "Result ordering is done on bank slip creation datetime. Default is `desc`.", "schema": { "type": "string", "enum": [ "asc", "desc" ] }, "example": "desc" }, "beginDatetimeQuery": { "name": "beginDatetime", "in": "query", "description": "Begin datetime filter. ISO 8601 format - `yyyy-MM-ddTHH:mm:ss.SSSSSSSSSZ`.\n", "schema": { "type": "string", "format": "datetime" }, "example": "2024-09-11T18:01:44Z" }, "endDatetimeQuery": { "name": "endDatetime", "in": "query", "description": "End datetime filter. ISO 8601 format - `syyyy-MM-ddTHH:mm:ss.SSSSSSSSSZ`.\n", "schema": { "type": "string", "format": "datetime" }, "example": "2024-09-11T18:01:44.000Z" } }, "schemas": { "bankslips_issue.ListIssueItem": { "type": "object", "properties": { "account_id": { "description": "Pismo Platform Account ID.", "type": "integer", "example": 123 }, "client_request_id": { "description": "Client request ID.", "type": "string", "example": "6d6bdd2c-9980-4cf1-87ff-123" }, "correlation_id": { "description": "Correlation ID.", "type": "string", "example": "c537939d-5442-48b6-8b84-66465ba68880" }, "created_at": { "description": "Date on which the resource was created.", "type": "string", "example": "2024-07-24T00:00:00Z" }, "due_date": { "description": "Bank slip due date in ISO 8601 format.", "type": "string", "example": "2024-07-25T00:00:00Z" }, "external_id": { "description": "External ID.", "type": "string", "example": "6d6bdd2c-9980-4cf1-87ff-456" }, "id": { "description": "Bank slip ID.", "type": "string", "example": "050d8e9b-586e-4419-af13-d7c6be012fb2" }, "org_id": { "description": "Organization ID.", "type": "string", "example": "TN-000000000-00000-00000-0000-00000000000000" }, "over_due_date": { "description": "Last day to accept bank slip payments. After this date, the bank slip is not paid.", "type": "string", "example": "2024-07-25T00:00:00Z" }, "provider": { "description": "The name of the provvider that issues the bank slip.", "type": "string", "example": "BTG" }, "issuer": { "description": "The name of the provider that issues the bank slip.", "type": "string", "example": "PISMO" }, "transaction_id": { "description": "Transaction ID related to the bank slip issue. This is the ID that links the bank slip to the specific transaction performed in the payments API. It can be used for tracking, reconciliation, and reference purposes when managing bank slips and their associated transactions.", "type": "string", "example": "550e8400-e29b-41d4-a716-446655440000" }, "status": { "description": "status of issued bankslip", "type": "string", "example": "REGISTERED" }, "updated_at": { "description": "Date on which the bank slip is updated.", "type": "string", "example": "2024-07-25T00:00:00Z" } } }, "bankslips_issue.OffsetPagination": { "type": "object", "properties": { "current_page": { "description": "Current page.", "type": "integer", "example": 1 }, "per_page": { "description": "Number per page.", "type": "integer", "example": 10 }, "total_items": { "description": "Total items listed on the page.", "type": "integer", "example": 100 }, "total_pages": { "description": "Total pages.", "type": "integer", "example": 10 } } }, "bankslips_issue.ListIssueResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/bankslips_issue.ListIssueItem" } }, "pagination": { "$ref": "#/components/schemas/bankslips_issue.OffsetPagination" } } }, "domain.Error": { "type": "object", "properties": { "code": { "type": "string", "description": "Error type code.", "example": "EIP0001" }, "details": { "type": "string", "description": "Error details.", "example": "Error details" }, "message": { "type": "string", "description": "Error message describing the error.", "example": "error" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/v1/bankslips-issue": { "get": { "tags": [ "Bank slip issuance" ], "operationId": "get-integrated-payments-api-v1-bankslips-issue", "summary": "List issued bank slips", "description": "Retrieve a list of issued bank slips.", "parameters": [ { "$ref": "#/components/parameters/perPageQuery" }, { "$ref": "#/components/parameters/pageQuery" }, { "$ref": "#/components/parameters/orderQuery" }, { "$ref": "#/components/parameters/beginDatetimeQuery" }, { "$ref": "#/components/parameters/endDatetimeQuery" }, { "name": "status", "in": "query", "description": "Status of issued bank slip.", "schema": { "type": "string" }, "example": "REGISTERED" } ], "responses": { "200": { "description": "Response Body", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/bankslips_issue.ListIssueResponse" } } } }, "400": { "description": "Bad Request", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" } } } }, "500": { "description": "Internal Server Error", "headers": { "x-cid": { "description": "Request tracking identifier.", "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/domain.Error" } } } } } } } } } ```